curl --request PATCH \
--url https://postonce.to/api/public/v1/posts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publish_at": "2026-04-02T15:00:00.000Z"
}
'
{
"data": {
"id": "<string>",
"content": "<string>",
"external_id": "<string>",
"media": [
{
"url": "https://cdn.example.com/launch-image.png",
"type": "image",
"width": 123,
"height": 123,
"size": 123,
"duration": 123
}
],
"publish_at": "2023-11-07T05:31:56Z",
"status": "scheduled",
"created_at": "2023-11-07T05:31:56Z",
"targets": [
{
"target_post_id": "<string>",
"account_id": "<string>",
"platform": "<string>",
"username": "<string>",
"status": "pending",
"error": "<string>",
"platform_post_id": "<string>",
"platform_post_url": "<string>",
"scheduled_time": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key."
}
}{
"error": {
"code": "workflow_limit_reached",
"message": "You have reached the maximum number of workflows for your plan."
}
}Posts
Update post
Updates a scheduled post before it runs.
PATCH
https://postonce.to/api/public
/
v1
/
posts
/
{id}
curl --request PATCH \
--url https://postonce.to/api/public/v1/posts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publish_at": "2026-04-02T15:00:00.000Z"
}
'
{
"data": {
"id": "<string>",
"content": "<string>",
"external_id": "<string>",
"media": [
{
"url": "https://cdn.example.com/launch-image.png",
"type": "image",
"width": 123,
"height": 123,
"size": 123,
"duration": 123
}
],
"publish_at": "2023-11-07T05:31:56Z",
"status": "scheduled",
"created_at": "2023-11-07T05:31:56Z",
"targets": [
{
"target_post_id": "<string>",
"account_id": "<string>",
"platform": "<string>",
"username": "<string>",
"status": "pending",
"error": "<string>",
"platform_post_id": "<string>",
"platform_post_url": "<string>",
"scheduled_time": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key."
}
}{
"error": {
"code": "workflow_limit_reached",
"message": "You have reached the maximum number of workflows for your plan."
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Aggregate post ID.
Body
application/json
Response
Scheduled post updated successfully.
Show child attributes
Show child attributes
⌘I
